{% extends 'base.html.twig' %}

{% block title %}Hello {{ controller_name }}!{% endblock %}

{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="example-wrapper">
        <h1>Tareas ✅</h1>
        <table id="tareas">
            <thead>
                <tr>
                    <th>Tarea</th>
                    <th>Prioridad</th>
                    <th>Horas presupuestadas</th>
                    <th>Acciones</th>
                </tr>

                {% for task in tasks %}
                    <tr>
                        <td>{{ task.title }}</td>
                        <td>{{ task.priority }}</td>
                        <td>{{ task.hours }}</td>
                        <td>
                            <a href=" {{ path('task_detail',{'id':task.id}) }}" class="btn btn_ver"> Ver </a>
                            {%if task.user.id==app.user.id %}
                                <a href=" {{ path('task_edit',{'id':task.id}) }}" class="btn btn_editar"> Editar </a>
                                <a href=" {{ path('task_delete',{'id':task.id}) }}" class="btn btn_borrar"> Borrar </a>
                            {% endif %}
                        </td>
                    <tr>
                    {% endfor %}    

            </thead>
        </table>

    </div>
{% endblock %}
